EnvironmentUtils
Date: 2017-01-22

org.apache.commons.exec.environment

## Class EnvironmentUtils

- java.lang.Object
- - org.apache.commons.exec.environment.EnvironmentUtils

-     public class EnvironmentUtils
      extends java.lang.Object

  Wrapper for environment variables.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addVariableToEnvironment(java.util.Map<java.lang.String,java.lang.String> environment, java.lang.String keyAndValue)` Add a key/value pair to the given environment.
    `static java.util.Map<java.lang.String,java.lang.String>` | `getProcEnvironment()` Find the list of environment variables for this process.
    `static java.lang.String[]` | `toStrings(java.util.Map<java.lang.String,java.lang.String> environment)` Get the variable list as an array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toStrings

          public static java.lang.String[] toStrings(java.util.Map<java.lang.String,java.lang.String> environment)

      Get the variable list as an array.
      Parameters:
        `environment` - the environment to use, may be `null`
      Returns:
        array of key=value assignment strings or `null` if and only if the input map was `null`

    - #### getProcEnvironment

          public static java.util.Map<java.lang.String,java.lang.String> getProcEnvironment()
                                                                                     throws java.io.IOException

      Find the list of environment variables for this process. The returned map preserves the casing of a variable's name on all platforms but obeys the casing rules of the current platform during lookup, e.g. key names will be case-insensitive on Windows platforms.
      Returns:
        a map containing the environment variables, may be empty but never `null`
      Throws:
        `java.io.IOException` - the operation failed

    - #### addVariableToEnvironment

          public static void addVariableToEnvironment(java.util.Map<java.lang.String,java.lang.String> environment,
                                      java.lang.String keyAndValue)

      Add a key/value pair to the given environment. If the key matches an existing key, the previous setting is replaced.
      Parameters:
        `environment` - the current environment
        `keyAndValue` - the key/value pair